org.springframework.batch.core

## Class StepContribution

- java.lang.Object
- - org.springframework.batch.core.StepContribution

- All Implemented Interfaces:
    java.io.Serializable

      public class StepContribution
      extends java.lang.Object
      implements java.io.Serializable

  Represents a contribution to a `StepExecution`, buffering changes until they can be applied at a chunk boundary.
  Author:
    Dave Syer
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepContribution(StepExecution execution)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `ExitStatus` | `getExitStatus()` Public getter for the status.
    `int` | `getFilterCount()` Public getter for the filter counter.
    `int` | `getProcessSkipCount()` Public getter for the process skip count.
    `int` | `getReadCount()` Public access to the read counter.
    `int` | `getReadSkipCount()`
    `int` | `getSkipCount()`
    `int` | `getStepSkipCount()`
    `int` | `getWriteCount()` Public access to the write counter.
    `int` | `getWriteSkipCount()`
    `int` | `hashCode()`
    `void` | `incrementFilterCount(int count)` Increment the counter for the number of items processed.
    `void` | `incrementProcessSkipCount()`
    `void` | `incrementReadCount()` Increment the counter for the number of items read.
    `void` | `incrementReadSkipCount()` Increment the read skip count for this contribution
    `void` | `incrementReadSkipCount(int count)` Increment the read skip count for this contribution
    `void` | `incrementWriteCount(int count)` Increment the counter for the number of items written.
    `void` | `incrementWriteSkipCount()` Increment the write skip count for this contribution
    `void` | `setExitStatus(ExitStatus status)` Set the `ExitStatus` for this contribution.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StepContribution

          public StepContribution(StepExecution execution)

      Parameters:
        `execution` -

  - ### Method Detail

    - #### setExitStatus

          public void setExitStatus(ExitStatus status)

      Set the `ExitStatus` for this contribution.
      Parameters:
        `status` -

    - #### getExitStatus

          public ExitStatus getExitStatus()

      Public getter for the status.
      Returns:
        the `ExitStatus` for this contribution

    - #### incrementFilterCount

          public void incrementFilterCount(int count)

      Increment the counter for the number of items processed.

    - #### incrementReadCount

          public void incrementReadCount()

      Increment the counter for the number of items read.

    - #### incrementWriteCount

          public void incrementWriteCount(int count)

      Increment the counter for the number of items written.

    - #### getReadCount

          public int getReadCount()

      Public access to the read counter.
      Returns:
        the item counter.

    - #### getWriteCount

          public int getWriteCount()

      Public access to the write counter.
      Returns:
        the item counter.

    - #### getFilterCount

          public int getFilterCount()

      Public getter for the filter counter.
      Returns:
        the filter counter

    - #### getStepSkipCount

          public int getStepSkipCount()

      Returns:
        the sum of skips accumulated in the parent `StepExecution` and this `StepContribution`.

    - #### getSkipCount

          public int getSkipCount()

      Returns:
        the number of skips collected in this `StepContribution` (not including skips accumulated in the parent `StepExecution`).

    - #### incrementReadSkipCount

          public void incrementReadSkipCount()

      Increment the read skip count for this contribution

    - #### incrementReadSkipCount

          public void incrementReadSkipCount(int count)

      Increment the read skip count for this contribution

    - #### incrementWriteSkipCount

          public void incrementWriteSkipCount()

      Increment the write skip count for this contribution

    - #### incrementProcessSkipCount

          public void incrementProcessSkipCount()

    - #### getReadSkipCount

          public int getReadSkipCount()

      Returns:
        the read skip count

    - #### getWriteSkipCount

          public int getWriteSkipCount()

      Returns:
        the write skip count

    - #### getProcessSkipCount

          public int getProcessSkipCount()

      Public getter for the process skip count.
      Returns:
        the process skip count

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`
      See Also:
        `Object.hashCode()`